{% from 'lib.sls' import pod_deploy with context %}

Create dnsmasq config directory:
  file.recurse:
    - name: /srv/dnsmasq
    - source: salt://dnsmasq
    - template: jinja
    - user: root
    - group: root
    - dir_mode: "0755"
    - file_mode: "0644"
    - include_empty: True

{{ pod_deploy('dnsmasq') }}

Make sure dnsmasq is running:
  service.running:
    - name: dnsmasq
    - enable: True
    - watch:
      - file: Create dnsmasq config directory
